Bug 220419 - dns/knot-resolver: Update to 1.3.1
Summary: dns/knot-resolver: Update to 1.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Seaman
URL:
Keywords: needs-patch, needs-qa
Depends on: 220355
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-01 20:12 UTC by Leo Vandewoestijne
Modified: 2017-07-28 13:30 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (freebsd)


Attachments
Knot-Resolver 1.3.1 (3.84 KB, patch)
2017-07-01 20:12 UTC, Leo Vandewoestijne
koobs: maintainer-approval-
Details | Diff
Fix whitespace in previous patch (3.06 KB, patch)
2017-07-24 09:54 UTC, Matthew Seaman
matthew: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2017-07-01 20:12:49 UTC
Created attachment 183990 [details]
Knot-Resolver 1.3.1

Knot Resolver had several bugfixes in the past 5 releases:
https://www.knot-resolver.cz/2017-03-07-knot-resolver-1.2.4.html
https://www.knot-resolver.cz/2017-04-05-knot-resolver-1.2.5.html
https://www.knot-resolver.cz/2017-04-24-knot-resolver-1.2.6.html
https://www.knot-resolver.cz/2017-06-13-knot-resolver-1.3.0.html
https://www.knot-resolver.cz/2017-06-23-knot-resolver-1.3.1.html
This patch will make the big jump from 1.2.3 to 1.3.1

Once PR 220355 is committed, then knot-resolver will install fine on i386 also again, since knot2 is installing the required libknot
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220355
Comment 1 Leo Vandewoestijne 2017-07-01 20:17:11 UTC
Forgot to mention; it was tested fine in poudriere on amd64 & i386 on 10.3 & 11.0
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-02 14:35:38 UTC
@Leo Can you confirm that this issue depends on (must wait for commit/close of) bug 220355
Comment 3 Leo Vandewoestijne 2017-07-02 19:27:51 UTC
It depends on 220355 insofar that i386 users who suddenly see an update available will run into a fatal compiler error in the case they use gcc, however to other architectures that problem is irrelevant.
So I did not explicitly marked it in as blocking, although yes, to some it is.
Comment 4 Tobias Kortkamp freebsd_committer 2017-07-23 17:57:29 UTC
I cannot apply the patch.  It appears to be mangled: all tabs in the diff seem to have been replaced by spaces.
Comment 5 Matthew Seaman freebsd_committer 2017-07-24 09:46:06 UTC
Leo -- verb sap. If you use subversion to check out the ports tree,
then you can generate patches by editing the files in place and then using
'svn diff'  That will make your patches easier to apply.  The whitespace issues Tobias mentioned are probably down to the editor you're using?  Tabs are syntactically different to spaces in Makefiles.
Comment 6 Matthew Seaman freebsd_committer 2017-07-24 09:54:51 UTC
Created attachment 184658 [details]
Fix whitespace in previous patch
Comment 7 Matthew Seaman freebsd_committer 2017-07-24 10:02:41 UTC
Poudriere test builds with updated patch are OK.
Comment 8 Leo Vandewoestijne 2017-07-28 10:26:22 UTC
Comment on attachment 184658 [details]
Fix whitespace in previous patch

I was ill, so couldn't respond faster.
Patch works all fine (10.3, 11.0, 12.0 / i386, amd64).
Thanks.
Comment 9 Leo Vandewoestijne 2017-07-28 10:30:54 UTC
I seem unable to update the ? to +
But for clarity; approved.
Again thanks.
Comment 10 commit-hook freebsd_committer 2017-07-28 13:29:59 UTC
A commit references this bug:

Author: matthew
Date: Fri Jul 28 13:29:40 UTC 2017
New revision: 446831
URL: https://svnweb.freebsd.org/changeset/ports/446831

Log:
  Update to 1.3.1

  New OPTIONS: COOKIES DNSTAP GO STATS

  PR:		220419
  Submitted by:	freebsd@dns-lab.com (maintainer)

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/pkg-plist
Comment 11 Matthew Seaman freebsd_committer 2017-07-28 13:30:19 UTC
Committed, thanks!